Skip to main content
POST
Send a one-time automation's replies

Authorizations

Authorization
string
header
required

A Replier API key (rpl_...).

Headers

Idempotency-Key
string
required

A new value for each operation, and the same one when you retry, so the request runs once.

Required string length: 1 - 128

Path Parameters

workspace_id
string<uuid>
required

Workspace ID returned by GET /v1/workspaces

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
one_time_automation_id
string<uuid>
required

One-time automation ID from GET /v1/workspaces/{workspace_id}/one-time-automations, in this workspace

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
run_id
string<uuid>
required

Run ID returned by POST /v1/workspaces/{workspace_id}/one-time-automations, POST /v1/workspaces/{workspace_id}/one-time-automations/{one_time_automation_id}/runs or GET /v1/workspaces/{workspace_id}/one-time-automations/{one_time_automation_id}

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
skip_comment_ids
string[]

Eligible comment IDs the user chose not to answer

Maximum array length: 2000
Required string length: 1 - 64

Response

OK

workspace
object
required
one_time_automation_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
run
object
required